TechDraw Annotation en texte enrichi

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw RichTextAnnotation and the translation is 88% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano
Arrow-left.svg Page précédente : TechDraw LeaderLine.svg Ligne de référence
Page suivante : Point cosmétique TechDraw CosmeticVertex.svg Arrow-right.svg

TechDraw RichTextAnnotation.svg TechDraw Annotation en texte enrichi

Emplacement du menu
TechDraw → Annotations → Insérer une annotation de texte enrichi
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
TechDraw Modèles, Draft SVG, TechDraw Ligne de référence

Description

L'outil Insérer une annotation de texte enrichi ajoute un bloc d'annotation formaté à une Ligne de référence ou à une vue.

TechDraw RichTextBlock sample.png

Bloc de texte autonome d'une annotation de texte enrichi

Utilisation

  1. Appuyez sur le bouton TechDraw RichTextAnnotation.svg Insérer une annotation de texte enrichi.
  2. Une boîte de dialogue de tâche va s'ouvrir. La boîte de dialogue permet une saisie rapide du texte.
  3. Le bouton démarrer l'éditeur de texte enrichi et ouvrira un éditeur complet. Appuyez sur l’icône Sauvegarder pour enregistrer vos modifications.
  4. Une fois le bloc créé, vous pouvez le modifier en double-cliquant sur RichTextBlock dans l'arborescence.
  5. Pour attacher le bloc à une Ligne de référence, sélectionnez la ligne avant de démarrer l'outil Insérer une annotation de texte enrichi.

Propriétés

  • DonnéesX, Y: l'emplacement du bloc. Par rapport à la fin de la ligne si elle est attachée à un Ligne de référence, sinon c'est la position sur la page.
  • DonnéesShowFrame: Dessine un contour autour du bloc.
  • DonnéesMaxWidth: Limite la taille horizontale du bloc. Une valeur de -1 correspond à une largeur illimitée.
  • DonnéesAnnoText: Le texte au format HTML du bloc.

Script

Voir aussi: TechDraw API et Débuter avec les scripts.

L'outil RichTextBlock peut être utilisé dans une macro ou dans la console Python.

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
blockObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawRichAnno','DrawRichAnno')
FreeCAD.activeDocument().myPage.addView(blockObj)
blockObj.X = 5
blockObj.Y = 5
blockObj.AnnoText = myHTMLText

Notes

  • Vous pouvez modifier votre Annotation en texte enrichi en double-cliquant dessus dans la vue arborescente. Un double clic dans la zone graphique n’est pas encore supporté.


Arrow-left.svg Page précédente : TechDraw LeaderLine.svg Ligne de référence
Page suivante : Point cosmétique TechDraw CosmeticVertex.svg Arrow-right.svg